bugGnash - The GNU Flash player - Bugs: bug #37112, configure looks for libegl.so but...

 
 

bug #37112: configure looks for libegl.so but I only have libEGL.so

Submitted by:  Josua Mayer <artox>
Submitted on:  Wed 15 Aug 2012 07:24:03 PM UTC  
 
Category:  build Severity:  3 - Normal
Release:  None Status:  Fixed
Privacy:  Public Assigned to:  Rob Savoye <rsavoye>
Open/Closed:  Closed

Add a New Comment(Rich Markup)
   

You are not logged in

Please log in, so followups can be emailed to you.

 

Sat 18 Aug 2012 05:26:28 PM UTC, comment #5:

It is indeed fixed :)
I am aware there will be issues but I intend to find and report them. having gnash running on the pi at useful speed would be a nice thing.

Josua Mayer <artox>
Fri 17 Aug 2012 04:11:13 PM UTC, comment #4:

This is fixed for me as of commit #fe0264b. Our generic macro was converting the case when the --with-EGL-* options were used. Now it looks for the originally supplied name if the first test fails. If libEGL is installed in the sysroot in a default location, configure already finds the correct library. Please note you have have other issues with the OpenVG renderer, which is the only working one that uses EGL.

Rob Savoye <rsavoye>
Project AdministratorIn charge of this item.
Thu 16 Aug 2012 05:59:06 AM UTC, comment #3:

I am trying the latest git version as of yesterday

Josua Mayer <artox>
Wed 15 Aug 2012 11:23:34 PM UTC, comment #2:

What version of Gnash are you trying ? I've been doing a bunch of Gnash on Android hacking lately, which also uses libEGL, and configure works fine. Just as a note, the OpenVG support has only been tested on a Babbage board, so may not work on the RPI. For now you're probably stuck with using the AGG renderer, which is software only.

Rob Savoye <rsavoye>
Project AdministratorIn charge of this item.
Wed 15 Aug 2012 10:19:02 PM UTC, comment #1:

additional note: I am giving configure this:
--with-EGL-incl=/opt/vc/include --with-EGL-lib=/opt/vc/lib

Josua Mayer <artox>
Wed 15 Aug 2012 07:24:03 PM UTC, original submission:

I am cross-compiling gnash for my raspberry pi and I found that configure looks for either libegl.a or libegl.so but on the rpi, the proprietary EGL Library is called libEGL.so. I think configure should look for this uppercase name too.

Josua Mayer <artox>

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach Files:
   
   
Comment:
   

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -email is unavailable- added by bjacques (Updated the item)
  • -email is unavailable- added by rsavoye (Updated the item)
  • -email is unavailable- added by artox (Submitted the item)
  •  

    Do you think this task is very important?
    If so, you can add your encouragement to it.
    This task has 0 encouragements so far.

    Only logged-in users can vote.

     

     

     

    Follow 5 latest changes.

    Date Changed by Updated Field Previous Value => Replaced by
    2015-02-02 bjacques StatusReady For Test => Fixed
        Open/ClosedOpen => Closed
    2012-08-17 rsavoye StatusNeed Info => Ready For Test
    2012-08-15 rsavoye StatusNone => Need Info
        Assigned toNone => rsavoye

    Back to the top


    Powered by Savane 3.3